> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Conversations



## OpenAPI

````yaml /api-reference/openapi.json get /agent/conversations
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /agent/conversations:
    get:
      tags:
        - Agent
      summary: List Agent Conversations
      operationId: get_Agent_agent_conversations
      parameters:
        - name: workspace_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Workspace that scopes the conversations
            title: Workspace Id
          description: Workspace that scopes the conversations
        - name: project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Optional project that scopes the conversations
            title: Project Id
          description: Optional project that scopes the conversations
        - name: share_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Optional share link that scopes the conversations
            title: Share Id
          description: Optional share link that scopes the conversations
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of conversations to skip
            default: 0
            title: Offset
          description: Number of conversations to skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Maximum conversations to return
            default: 50
            title: Limit
          description: Maximum conversations to return
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentConversationListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentConversationListResponse:
      properties:
        conversations:
          items:
            $ref: '#/components/schemas/AgentConversationResponse'
          type: array
          title: Conversations
          description: Conversations in the requested scope
        has_more:
          type: boolean
          title: Has More
          description: Whether another page of conversations is available
      type: object
      required:
        - conversations
        - has_more
      title: AgentConversationListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentConversationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Conversation ID
        workspace_id:
          type: string
          format: uuid
          title: Workspace Id
          description: Workspace that scopes the conversation
        project_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Project Id
          description: Project that scopes the conversation
        share_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Share Id
          description: Share link that scopes the conversation
        user_id:
          type: string
          format: uuid
          title: User Id
          description: User that owns the conversation
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Conversation title
        status:
          $ref: '#/components/schemas/AgentConversationStatus'
          description: Conversation status
        has_active_run:
          type: boolean
          title: Has Active Run
          description: Whether the conversation has a non-terminal agent run
          default: false
        last_activity_at:
          type: string
          format: date-time
          title: Last Activity At
          description: Last timestamp for activity inside the conversation
        created:
          type: string
          format: date-time
          title: Created
          description: Creation timestamp
        updated:
          type: string
          format: date-time
          title: Updated
          description: Last update timestamp
      type: object
      required:
        - id
        - workspace_id
        - user_id
        - status
        - last_activity_at
        - created
        - updated
      title: AgentConversationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AgentConversationStatus:
      type: string
      enum:
        - active
        - archived
      title: AgentConversationStatus
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````